# gp_XY.lxx File Reference

`#include <Standard_OutOfRange.hxx>`
`#include <Standard_ConstructionError.hxx>`
`#include <gp.hxx>`
`#include <gp_Mat2d.hxx>`

## Defines

#define | Mat2d00 ((Standard_Real*)M)[0]
#define | Mat2d01 ((Standard_Real*)M)[1]
#define | Mat2d10 ((Standard_Real*)M)[2]
#define | Mat2d11 ((Standard_Real*)M)[3]

## Functions

gp_XY | operator * (const gp_Mat2d &Matrix, const gp_XY &Coord1)
gp_XY | operator * (const Standard_Real Scalar, const gp_XY &Coord1)

## Define Documentation

#define Mat2d00 ((Standard_Real*)M)[0]

#define Mat2d01 ((Standard_Real*)M)[1]

#define Mat2d10 ((Standard_Real*)M)[2]

#define Mat2d11 ((Standard_Real*)M)[3]

## Function Documentation

gp_XY operator * | ( | const Standard_Real | Scalar,
|  | const gp_XY & | Coord1
| ) | `[inline]`

gp_XY operator * | ( | const gp_Mat2d & | Matrix,
|  | const gp_XY & | Coord1
| ) | `[inline]`